---
apiVersion: v1
kind: Namespace
metadata:
  name: k8s-test-ns
---
kind: ConfigMap
apiVersion: v1
metadata:
  namespace: k8s-test-ns
  name: k8s-test-cm
data:
  version: 0.0.1
---
apiVersion: apps/v1
kind: Deployment
metadata:
  namespace: k8s-test-ns
  name: k8s-test-deployment
spec:
  selector:
    matchLabels:
      name: k8s-test
  replicas: 3
  template:
    metadata:
      labels:
        name: k8s-test
    spec:
      securityContext:
        runAsNonRoot: true
        runAsUser: 1000
        runAsGroup: 1000
        fsGroup: 1000
      containers:
      - image: registry.gitlab.com/yas.io/k8s-test-api/k8s-test-api:de538200
        imagePullPolicy: Always
        name: k8s-test-container
        ports:
        - containerPort: 3000
        readinessProbe:
          httpGet:
            scheme: HTTP
            path: /ready
            port: 3000
          initialDelaySeconds: 5
          periodSeconds: 3
        resources:
          requests:
            cpu: 100m
            memory: 220Mi
          limits:
            cpu: 200m
            memory: 450Mi
        env:
        - name: VERSION
          valueFrom:
            configMapKeyRef:
              name: k8s-test-cm
              key: version
---
apiVersion: v1
kind: Service
metadata:
  namespace: k8s-test-ns
  name: k8s-test-svc
spec:
  ports:
    - port: 80
      targetPort: 3000
      name: http
      protocol: TCP
  type: LoadBalancer
  selector:
    name: k8s-test
